Bug 146108 - 12 * dead code detected
12 * dead code detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 09:17 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.8.2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 00:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-25 09:17:21 EST
Description of problem:

I just tried to compile package ruby-1.8.2-2 from 
Redhat Fedora development tree.

The compiler said


parse.y(4449): remark #177: function "nodetype" was declared but never
referenced
parse.y(4456): remark #177: function "nodeline" was declared but never
referenced
regex.c(2585): remark #177: function "insert_op" was declared but
never referenced
regex.c(999): remark #177: function "print_compiled_pattern" was
declared but never referenced
bigdecimal.c(1574): remark #177: function "VpIsNegDoubleZero" was
declared but never referenced
pty.c(404): remark #177: function "freeDevice" was declared but never
referenced
tkutil.c(192): remark #177: function "fromUTF8_toDefaultEnc" was
declared but never referenced
tkutil.c(839): remark #177: function "tkstr_to_dec" was declared but
never referenced
tcltklib.c(251): remark #177: function "call_original_exit" was
declared but never referenced
tcltklib.c(1132): remark #177: function "ip_ruby_eval_rescue" was
declared but never referenced
tcltklib.c(1488): remark #177: function "ip_ruby_cmd_rescue" was
declared but never referenced
tcltklib.c(5151): remark #177: function "ip_invoke_immediate" was
declared but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete 12 * dead code.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2005-04-11 00:27:34 EDT
Fixed in 1.8.2-7

Note You need to log in before you can comment on or make changes to this bug.